package com.tzld.longarticle.recommend.server.model;

import com.tzld.longarticle.recommend.server.repository.entity.crawler.ArticleDetailInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class ContentHisPublishArticle {

    private String ghId;
    private String accountName;
    private String msgId;
    private String title;
    private Integer itemIndex;
    private Integer viewCount;
    private Long updateTime;
    private Integer avgViewCount;
    private Double viewCountRate;
    private Integer firstViewCount;
    private Double firstViewCountRate;
    private boolean isInnerAccount = false;
    private long fans;
    private List<ArticleDetailInfo> articleDetailInfoList;

    // data
    private Integer t0FissionSum;
    private Double t0FissionByFans;
    private Double t0FissionByReadAvg;
}
