package com.tzld.longarticle.recommend.server.repository.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "account_avg_info_v2")
@IdClass(AccountAvgInfo.PK.class)
public class AccountAvgInfo implements Serializable {

    @Id
    @Column(name = "gh_id")
    private String ghId;
    @Id
    @Column(name = "position")
    private String position;
    @Column(name = "account_name")
    private String accountName;
    @Column(name = "fans")
    private long fans;
    @Column(name = "read_avg")
    private Double readAvg;
    @Column(name = "like_avg")
    private Double likeAvg;
    @Column(name = "status")
    private Integer status;

    @Data
    public static class PK implements Serializable {

        @Column(name = "gh_id")
        private String ghId;
        @Column(name = "position")
        private String position;

        public PK() {
        }

    }
}