package com.tzld.longarticle.recommend.server.repository.entity.crawler;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "long_articles_detail_info")
@IdClass(ArticleDetailInfo.PK.class)
public class ArticleDetailInfo implements Serializable {

    @Id
    @Column(name = "wx_sn")
    private String wxSn;
    @Id
    @Column(name = "recall_dt")
    private Date recallDt;
    @Id
    @Column(name = "video_id")
    private Long videoId;
    @Column(name = "mini_title")
    private String miniTitle;
    @Column(name = "mini_name")
    private String miniName;
    @Column(name = "cover_url")
    private String coverUrl;
    @Column(name = "video_index")
    private Integer videoIndex;
    @Column(name = "root_source_id")
    private String rootSourceId;
    @Column(name = "publish_dt")
    private Date publishDt;
    @Column(name = "first_level")
    private Integer firstLevel;
    @Column(name = "fission_0")
    private Integer fission0;
    @Column(name = "fission_1")
    private Integer fission1;
    @Column(name = "fission_2")
    private Integer fission2;

    @Data
    public static class PK implements Serializable {

        @Column(name = "wx_sn")
        private String wxSn;
        @Column(name = "recall_dt")
        private Date recallDt;
        @Column(name = "video_id")
        private Long videoId;

        public PK() {
        }

    }
}