package com.tzld.longarticle.recommend.server.repository.mapper.crawler;

import com.tzld.longarticle.recommend.server.repository.model.ArticleGzhDeveloper;
import com.tzld.longarticle.recommend.server.repository.model.ArticleGzhDeveloperExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface ArticleGzhDeveloperMapper {
    long countByExample(ArticleGzhDeveloperExample example);

    int deleteByExample(ArticleGzhDeveloperExample example);

    int deleteByPrimaryKey(String gzhId);

    int insert(ArticleGzhDeveloper row);

    int insertSelective(ArticleGzhDeveloper row);

    List<ArticleGzhDeveloper> selectByExample(ArticleGzhDeveloperExample example);

    ArticleGzhDeveloper selectByPrimaryKey(String gzhId);

    int updateByExampleSelective(@Param("row") ArticleGzhDeveloper row, @Param("example") ArticleGzhDeveloperExample example);

    int updateByExample(@Param("row") ArticleGzhDeveloper row, @Param("example") ArticleGzhDeveloperExample example);

    int updateByPrimaryKeySelective(ArticleGzhDeveloper row);

    int updateByPrimaryKey(ArticleGzhDeveloper row);

    String selectGzhIdByAppId(String appId);

}