package com.tzld.longarticle.recommend.server.repository.crawler;

import com.tzld.longarticle.recommend.server.repository.entity.crawler.PublishSortLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface PublishSortLogRepository extends JpaRepository<PublishSortLog, Long> {

    List<PublishSortLog> findByDateStr(String dateStr);

    List<PublishSortLog> findByDateStrAndTitleIn(String dateStr, List<String> titles);

    List<PublishSortLog> findByCrawlerChannelContentIdIn(List<String> crawlerChannelContentIds);
}
