package com.tzld.longarticle.recommend.server.service.recall;

import com.tzld.longarticle.recommend.server.model.Content;
import com.tzld.longarticle.recommend.server.service.filter.FilterParam;

import java.util.List;

/**
 * @author dyp
 */
public class FilterParamFactory {
    public static FilterParam create(RecallParam param, List<Content> contents) {
        FilterParam filterParam = new FilterParam();
        filterParam.setAccountName(param.getAccountName());
        filterParam.setContents(contents);
        filterParam.setAccountId(param.getAccountId());
        filterParam.setStrategy(param.getStrategy());
        filterParam.setGhId(param.getGhId());
        filterParam.setScene(param.getScene());
        return filterParam;
    }
}
